Page MenuHomePhabricator

[AG] [Task] If present, use "attribution" field instead of "author"
Closed, ResolvedPublic

Description

Please check if tool can differentiate between "attribution" and "author". If so, please favor "attribution" in results of attribution generator.

Event Timeline

Katja_Ullrich_WMDE assigned this task to Jakob_WMDE.
Katja_Ullrich_WMDE raised the priority of this task from to Needs Triage.
Katja_Ullrich_WMDE updated the task description. (Show Details)
Katja_Ullrich_WMDE moved this task to Incoming on the Tool-Attribution-Generator board.
Restricted Application added a project: TCB-Team. · View Herald TranscriptDec 15 2015, 11:48 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

File: https://commons.wikimedia.org/wiki/File:ChineseLimmat.jpg
"Attribution" in segment "Summary" is being ignored by tool.

Tobi_WMDE_SW renamed this task from Check attribution to [AG] [Task] If present, use "attribution" field instead if "author".Jan 4 2016, 12:24 PM
Tobi_WMDE_SW renamed this task from [AG] [Task] If present, use "attribution" field instead if "author" to [AG] [Task] If present, use "attribution" field instead of "author".
Tobi_WMDE_SW triaged this task as Medium priority.
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW moved this task from Incoming to Release 2.0 on the Tool-Attribution-Generator board.

another example: https://commons.wikimedia.org/wiki/File:Flughahn.jpg

Uses "author" instead of "attribution" in license template.

Tobi_WMDE_SW closed this task as Resolved.Jan 6 2016, 10:51 AM
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.
Tobi_WMDE_SW moved this task from Incoming to Done on the TCB-Team board.Jan 6 2016, 4:08 PM

Question: Is there a page to test the new version? Because at https://lizenzhinweisgenerator.wmflabs.org/ it is still wrong.

@DaBPunkt this is the correct page. it works for the example given here: attribution for https://commons.wikimedia.org/wiki/File:Flughahn.jpg is

Beckmannjan aus der deutschsprachigen Wikipedia (https://commons.wikimedia.org/wiki/File:Flughahn.jpg), „Flughahn“, https://creativecommons.org/licenses/by-sa/3.0/legalcode

Can you give an example for an image where the tool does not work?